Bug 174429

Summary: [patch] add depends to editors/openoffice-3
Product: Ports & Packages Reporter: cheunghonyu
Component: Individual Port(s)Assignee: FreeBSD Office Team <office>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff
none
patch.txt none

Description cheunghonyu 2012-12-14 12:00:00 UTC
To build apache-openoffice in a fresh freebsd environment without enabling any GCONF and GNOMEVFS options, it fails in configure stage result from missing dbus and dbus-glib depends.

..
..
---Begin OPTIONS List---
===> The following configuration options are available for apache-openoffice-3.4.1:
     GCONF=off: GConf configuration backend
     GNOMEVFS=off: Enable GNOME Virtual File System
===> Use 'make config' to modify these settings
---End OPTIONS List---

..

checking whether to enable GConf support... no
checking whether to enable GNOME VFS support... no
checking for GTK... yes
checking for GTHREAD... yes
checking for GTK_2_16... yes
checking whether to enable DBUS support... yes
checking for DBUS... no
configure: error: Package requirements (dbus-glib-1 >= 0.70 ) were not met:

Package dbus-glib-1 was not found in the pkg-config search path.
Perhaps you should add the directory containing `dbus-glib-1.pc'
to the PKG_CONFIG_PATH environment variable
No package 'dbus-glib-1' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables DBUS_CFLAGS
and DBUS_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
===>  Script "configure" failed unexpectedly.
Please report the problem to office@FreeBSD.org [maintainer] and attach the
"/wrkdirs/usr/ports/editors/openoffice-3/work/aoo-3.4.1/main/config.log"
including the output of the failure of your make command. Also, it might be
a good idea to provide an overview of all packages installed on your system
(e.g. a /usr/local/sbin/pkg info -g -Ea).
*** [do-configure] Error code 1

Stop in /usr/ports/editors/openoffice-3.

Fix: A dirty workaround is adding BUILD_DEPENDS with dbus and dbus-glib.

Patch attached with submission follows:
How-To-Repeat: To build apache-openoffice in a fresh freebsd environment without enabling any GCONF and GNOMEVFS options
Comment 1 Edwin Groothuis freebsd_committer 2012-12-14 12:00:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->office

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 cheunghonyu.mailinglistbox 2012-12-15 01:07:52 UTC
Dear freebsd-office,

I revise my previous dirty patch. The dbus and dubs-glib should be placed in LIB_DEPENDS rather than BUILD_DEPENDS.
Comment 3 Pedro F. Giffuni freebsd_committer 2014-04-30 23:28:39 UTC
State Changed
From-To: open->closed

openoffice-3 is not available anymore. 
All efforts are focused on openoffice-4 now, please check 
the new ports and open a new PR if necessary.